Page MenuHomePhabricator

Thumbnail of deleted image shown in "File history" after new image with same filename got uploaded
Open, Needs TriagePublic

Description

File:Benjamin Ola Akande.jpg was deleted in 2019. Today, a different user uploaded a file with the same name, which results in the already deleted image being shown in the File history section.

Event Timeline

Aklapper renamed this task from Deleted images still visible in file history to Thumbnail of deleted image shown in "File history" after new image with same filename got uploaded.May 4 2021, 8:38 AM
Aklapper edited projects, added Thumbor, SRE-swift-storage; removed Commons.

Attaching a screenshot:

Screenshot from 2021-05-04 10-40-58.png (857×660 px, 328 KB)

Could be a simple caching issue...

https://upload.wikimedia.org/wikipedia/commons/thumb/8/81/Benjamin_Ola_Akande.jpg/120px-Benjamin_Ola_Akande.jpg

HTTP/2 200 OK 
date: Wed, 05 May 2021 15:00:58 GMT
content-type: image/jpeg
content-length: 7472
x-object-meta-sha1base36: pdif0f0ipygkgl5z3li416kx4x5v9bj
content-disposition: inline;filename*=UTF-8''Benjamin_Ola_Akande.jpg
last-modified: Sat, 08 Apr 2017 20:01:11 GMT
etag: 381e0ba55afc473e10f27a58e5f2004e
x-timestamp: 1491681670.44952
server: ATS/8.0.8
age: 22
x-cache: cp1088 miss, cp1076 hit/3
x-cache-status: hit-front
server-timing: cache;desc="hit-front", host;desc="cp1076"
strict-transport-security: max-age=106384710; includeSubDomains; preload
report-to: { "group": "wm_nel", "max_age": 86400, "endpoints": [{ "url": "https://intake-logging.wikimedia.org/v1/events?stream=w3c.reportingapi.network_error&schema_uri=/w3c/reportingapi/network_error/1.0.0" }] }
nel: { "report_to": "wm_nel", "max_age": 86400, "failure_fraction": 0.05, "success_fraction": 0.0}
permissions-policy: interest-cohort=()
x-client-ip: ***
access-control-allow-origin: *
access-control-expose-headers: Age, Date, Content-Length, Content-Range, X-Content-Duration, X-Cache
timing-allow-origin: *
accept-ranges: bytes
X-Firefox-Spdy: h2

x-timestamp evaluates to 2017-04-08 20:01:10 UTC.
This sort of issue has happened before, I believe it's related to T206190. These sorts of tasks usually get closed as "fixed itself eventually", but it would be nice to actually get this cache invalidation problem fixed.

For the record, purging the file description page, null-editing the file description page, and adding text to the path had no effect.